Bug 675159 - RfE: add log4j alert sender
RfE: add log4j alert sender
Status: ASSIGNED
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
4.0.0
All All
medium Severity unspecified (vote)
: ---
: ---
Assigned To: Adam Strong
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-04 09:01 EST by Heiko W. Rupp
Modified: 2014-08-04 18:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2011-02-04 09:01:02 EST
In many situations it is needed that alerts be recorded for audit purposes or forwarded to other systems. 
This can be accomplished by writing fired alerts to a log file  via log4j on the server, from where the other system can read the alert data as input.
Comment 1 Heiko W. Rupp 2011-02-04 09:09:05 EST
Contribution from Steve Millidge added in ea44c9b22fcf4
Comment 2 Sudhir D 2011-03-09 07:00:03 EST
I looked around, but not sure how to test this. Setting this to Need info.
Comment 3 Heiko W. Rupp 2011-03-15 06:58:17 EDT
The sender is in RHQ 4 b1 ;
the server plugin should have a description on how to set up logging so that alerts go into a specific log file:

    <serverplugin:help>
        Used to send notifications to a Log4J Category. This enables you to send different alerts to different
        log files where they can be scraped by different system management tools e.g. OVO.

        To configure log4j in the RHQServer edit the file ${rhq.server.home}/conf/jboss-log4j.xml and
        configure an appender for each of your log categories.
        The format of the log4J message is;
        ALERT,Priority,AlertName,AlertDescription,ResourceName,ResourcePlatform,AlertDetails,RHQURL
    </serverplugin:help>

We should probably add a page to the RHQ wiki about this.
Comment 4 Mike Foley 2011-04-21 12:48:40 EDT
discussed with deon.  assigning bug to her for consideration for possible inclusion in the documentation ...possibly at this location:  

http://documentation-stage.bne.redhat.com/docs/en-US/JBoss_Operations_Network/3.0/html/Basic_Admin_Guide/writing-serverside-plugins.html#example-alert-sender
Comment 5 Deon Ballard 2014-05-15 20:08:30 EDT
Reassigning to John Ha.

Note You need to log in before you can comment on or make changes to this bug.